Bug 491425 - Review Request: R-RODBC - An ODBC database interface for R
Review Request: R-RODBC - An ODBC database interface for R
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 17:45 EDT by Tom "spot" Callaway
Modified: 2009-03-31 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 16:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)
Review comments (1.80 KB, text/plain)
2009-03-21 12:56 EDT, Mattias Ellert
no flags Details

  None (edit)
Description Tom "spot" Callaway 2009-03-20 17:45:40 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/R-RODBC.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/R-RODBC-1.2-1.fc11.src.rpm
Description: An ODBC database interface for R

R-biglm (one of my other packages) grew this as a new dependency in its latest release, so I need this in order to update it.
Comment 1 Mattias Ellert 2009-03-21 12:56:43 EDT
Created attachment 336169 [details]
Review comments

I attach my review. Package looks good except for some minor license issues that need clarification.
Comment 2 Tom "spot" Callaway 2009-03-28 10:31:33 EDT
Quoting from your review:

The license statement in these files:

RODBC/R/RODBC.R
RODBC/R/TypeInfo.R
RODBC/R/sql.R
RODBC/R/win.R
RODBC/inst/LICENCE
RODBC/DESCRIPTION

all say GPL2 or GPL3, which is the same as the spec file states, but

RODBC/src/RODBC.c

says GPL version 2 or any later version.

and RODBC/COPYING only contains the GPL2 license text.

*****

GPLv2 or GPLv3 is functionally equivalent to GPLv2 or any later version (as the only later version is GPLv3).
Comment 3 Mattias Ellert 2009-03-28 11:05:54 EDT
(In reply to comment #2)
> GPLv2 or GPLv3 is functionally equivalent to GPLv2 or any later version (as the
> only later version is GPLv3).  

This is true right now. But it will stop being true the moment a new version of GPL is published, and you can not rely on that a new version of GPL will never ever be released. If upstream will not change the license so that all files are released under the same license, the Fedora package must state all licenses, which will be something like:

License: GPLv2+ and (GPLv2 or GPLv3)

see https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Combined_Dual_and_Multiple_Licensing_Scenario

It will be a rather weird statement - preferably upstream should be asked about their inconsistent licensing, so that it can be resolved for something more reasonable. If upstream is unable or unwilling to change it, you should state all licenses as above.
Comment 4 Tom "spot" Callaway 2009-03-28 12:51:49 EDT
Yes, however, since those files are compiled together, the most restrictive license applies to the whole work, which is the GPLv2 or GPLv3 license.
Comment 5 Mattias Ellert 2009-03-28 14:30:42 EDT
But they are not compiled together in a single binary. The C file under the GPLv2+ license is compiled into the RODBC.so library, and the R files under GPLv2 or GPLv3 are compiled into the RODBC.rdb and RODBC.rdx. So RODBC.so ends up with a different license than the rest of the package.
Comment 7 Mattias Ellert 2009-03-28 16:36:50 EDT
Package approved.
Comment 8 Tom "spot" Callaway 2009-03-28 18:23:18 EDT
New Package CVS Request
=======================
Package Name: R-RODBC
Short Description: An ODBC database interface for R
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.
Comment 9 Fedora Update System 2009-03-28 18:51:21 EDT
R-RODBC-1.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R-RODBC-1.2-2.fc9
Comment 10 Fedora Update System 2009-03-28 18:51:26 EDT
R-RODBC-1.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-RODBC-1.2-2.fc10
Comment 11 Fedora Update System 2009-03-31 16:28:12 EDT
R-RODBC-1.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-03-31 16:35:49 EDT
R-RODBC-1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.